Package ru.bitel.bgbilling.plugins.gar.common.bean

# Class GarLoadedHistoryEntry

java.lang.Object
ru.bitel.bgbilling.plugins.gar.common.bean.GarLoadedHistoryEntry

public class GarLoadedHistoryEntry extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GarLoadedHistoryEntry()`
  `GarLoadedHistoryEntry(long garObjectId, GarAddressType garAddressType, int bgObjectId, String garObjectTitle, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getBgObjectId()`
  `GarAddressType`
  `getGarAddressType()`
  `long`
  `getGarObjectId()`
  `String`
  `getGarObjectTitle()`
  `int`
  `getId()`
  `Date`
  `getLoadedTime()`
  `int`
  `getUserId()`
  `GarLoadedHistoryEntry`
  `setBgObjectId(int bgObjectId)`
  `GarLoadedHistoryEntry`
  `setGarAddressType(GarAddressType garAddressType)`
  `GarLoadedHistoryEntry`
  `setGarObjectId(long garObjectId)`
  `GarLoadedHistoryEntry`
  `setGarObjectTitle(String garObjectTitle)`
  `GarLoadedHistoryEntry`
  `setId(int id)`
  `GarLoadedHistoryEntry`
  `setLoadedTime(Date loadedTime)`
  `GarLoadedHistoryEntry`
  `setUserId(int userId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GarLoadedHistoryEntry

    public GarLoadedHistoryEntry()

  - ### GarLoadedHistoryEntry

    public GarLoadedHistoryEntry(long garObjectId, GarAddressType garAddressType, int bgObjectId, String garObjectTitle, int userId)

- ## Method Details

  - ### getBgObjectId

    public int getBgObjectId()

  - ### getGarAddressType

    public GarAddressType getGarAddressType()

  - ### getGarObjectId

    public long getGarObjectId()

  - ### getGarObjectTitle

    public String getGarObjectTitle()

  - ### getId

    public int getId()

  - ### getLoadedTime

    public Date getLoadedTime()

  - ### getUserId

    public int getUserId()

  - ### setBgObjectId

    public GarLoadedHistoryEntry setBgObjectId(int bgObjectId)

  - ### setGarAddressType

    public GarLoadedHistoryEntry setGarAddressType(GarAddressType garAddressType)

  - ### setGarObjectId

    public GarLoadedHistoryEntry setGarObjectId(long garObjectId)

  - ### setGarObjectTitle

    public GarLoadedHistoryEntry setGarObjectTitle(String garObjectTitle)

  - ### setId

    public GarLoadedHistoryEntry setId(int id)

  - ### setLoadedTime

    public GarLoadedHistoryEntry setLoadedTime(Date loadedTime)

  - ### setUserId

    public GarLoadedHistoryEntry setUserId(int userId)